Debian Bug report logs - #681435
src:gitalist: not compatible with Catalyst >= 5.90013

version graph

Package: src:gitalist; Maintainer for src:gitalist is (unknown);

Reported by: intrigeri@debian.org

Date: Fri, 13 Jul 2012 06:15:01 UTC

Severity: grave

Found in version gitalist/0.003006+dfsg-2

Fixed in version 0.003006+dfsg-2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#681435; Package src:gitalist. (Fri, 13 Jul 2012 06:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@debian.org:
New Bug report received and forwarded. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. (Fri, 13 Jul 2012 06:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: src:gitalist: not compatible with Catalyst >= 5.90013
Date: Fri, 13 Jul 2012 00:11:42 -0600
Source: gitalist
Severity: grave
Version: 0.003006+dfsg-2

Gitalist 0.003006 uses Catalyst::Controller::ActionRole,
which has been superseded by Catalyst since 5.90013,
and is not installable concurrently with libcatalyst-perl on sid,
and soon on Wheezy:
https://lists.debian.org/debian-perl/2012/07/msg00098.html

This *might* be fixed by upstream 0.003009.

Thanks for maintaining Gitalist in Debian!




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#681435; Package src:gitalist. (Mon, 23 Jul 2012 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. (Mon, 23 Jul 2012 08:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 681435@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: intrigeri@debian.org, 681435@bugs.debian.org
Subject: Re: Bug#681435: src:gitalist: not compatible with Catalyst >= 5.90013
Date: Mon, 23 Jul 2012 09:54:38 +0200
Hello,

> and is not installable concurrently with libcatalyst-perl on sid,
> and soon on Wheezy:
> https://lists.debian.org/debian-perl/2012/07/msg00098.html
> 
> This *might* be fixed by upstream 0.003009.

thanks for your report.

I have tested the newest Gitalist Version against 5.90014-1 and
5.90015-1.

Both are failing with Gitalist because of use of
Catalyst::Controller::ActionRole.

After that test, I have patched the Gitalist source with the patch from
https://github.com/bobtfish/Gitalist/commit/3620aa21666f20c634edcf3a6ec6f16580bbda1f
but make test is also failing (with 5.90014 and 5.90015). See error
output below.

So that to do with Gitalist in Debian?

Thanks,
	Jonas



PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e"
"test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/00git_version.t
t/01app.t t/02git_CollectionOfRepositories_FromDirectory.t
t/02git_CollectionOfRepositories_FromDirectory_WhiteList.t
t/02git_CollectionOfRepositories_FromDirectoryRecursive.t
t/02git_head.t t/02git_object.t t/02git_Repository.t t/02git_tag.t
t/02git_util.t t/03legacy_uri.t t/app-mech-rootpage.t t/atom.t
t/json_view.t t/model_collectionofrepos.t t/opml.t t/rss.t
t/view_Default.t
t/00git_version.t ........................................... 1/? Git
version: git version 1.7.10.4
t/00git_version.t ........................................... ok
t/01app.t ................................................... 1/?
[error] Caught exception in
Gitalist::Controller::Fragment::Repository->log "Validation failed for
'Tuple[Tuple[Object,MooseX::Types::Common::String::NonEmptySimpleStr],Dict[]]'
with value "[ [ Gitalist::Git::Repository=HASH(0x6db35b8), undef ],
{  } ], Internal Validation Error is: \n [+] Validation failed for
'Tuple[Object,MooseX::Types::Common::String::NonEmptySimpleStr]' with
value "[ Gitalist::Git::Repository{ _util:
Gitalist::Git::Util=HASH(0x6e2b2b8), description: "Unnamed repository,
edit the .git/description file to set a description", last_change:
undef, name: "bare.git", owner: "Jonas Genannt", path:
Path::Class::Dir=HASH(0x6b39af0) }, undef ]"\n  [+] Must be a non-empty
single line of no more than 255 chars"
at /usr/share/perl5/MooseX/Method/Signatures/Meta/Method.pm line 435
MooseX::Method::Signatures::Meta::Method::validate('MooseX::Method::Signatures::Meta::Method=HASH(0x635cf50)',
'ARRAY(0x634e2b8)') called
at /usr/share/perl5/MooseX/Method/Signatures/Meta/Method.pm line 151
Gitalist::Git::Repository::get_object('Gitalist::Git::Repository=HASH(0x6db35b8)',
undef) called
at /home/jonas/debian-work/gitalist/Gitalist-0.003009/blib/lib/Gitalist/URIStructure/Repository.pm
line 31
Class::MOP::Class:::before('Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 33
Class::MOP::Method::Wrapped::__ANON__('Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 91
Gitalist::Controller::Fragment::Repository::log('Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Action.pm line 65
Catalyst::Action::execute('Catalyst::Action=HASH(0x653b348)',
'Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called at /usr/share/perl5/Catalyst.pm line
1668 eval {...} called at /usr/share/perl5/Catalyst.pm line 1668
Catalyst::execute('Gitalist=HASH(0x6dc2870)',
'Gitalist::Controller::Fragment::Repository',
'Catalyst::Action=HASH(0x653b348)') called
at /usr/share/perl5/Catalyst/Plugin/StackTrace.pm line 22
Catalyst::Plugin::StackTrace::execute('Gitalist=HASH(0x6dc2870)',
'Gitalist::Controller::Fragment::Repository',
'Catalyst::Action=HASH(0x653b348)') called
at /usr/share/perl5/Catalyst/Action.pm line 60
Catalyst::Action::dispatch('Catalyst::Action=HASH(0x653b348)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/ActionChain.pm line 36
Catalyst::ActionChain::dispatch('Catalyst::ActionChain=HASH(0x6dccdf0)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Controller.pm line 158
Catalyst::Controller::_ACTION('Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Action.pm line 65
Catalyst::Action::execute('Catalyst::Action=HASH(0x651ff50)',
'Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called at /usr/share/perl5/Catalyst.pm line
1668 eval {...} called at /usr/share/perl5/Catalyst.pm line 1668
Catalyst::execute('Gitalist=HASH(0x6dc2870)',
'Gitalist::Controller::Fragment::Repository',
'Catalyst::Action=HASH(0x651ff50)') called
at /usr/share/perl5/Catalyst/Plugin/StackTrace.pm line 22
Catalyst::Plugin::StackTrace::execute('Gitalist=HASH(0x6dc2870)',
'Gitalist::Controller::Fragment::Repository',
'Catalyst::Action=HASH(0x651ff50)') called
at /usr/share/perl5/Catalyst/Action.pm line 60
Catalyst::Action::dispatch('Catalyst::Action=HASH(0x651ff50)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 257
Catalyst::Dispatcher::_do_forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'forward', 'Gitalist=HASH(0x6dc2870)', '_ACTION') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 237
Catalyst::Dispatcher::forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'Gitalist=HASH(0x6dc2870)', '_ACTION') called
at /usr/share/perl5/Catalyst.pm line 358
Catalyst::forward('Gitalist=HASH(0x6dc2870)', '_ACTION') called
at /usr/share/perl5/Catalyst/Controller.pm line 132
Catalyst::Controller::_DISPATCH('Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Action.pm line 65
Catalyst::Action::execute('Catalyst::Action=HASH(0x644db98)',
'Gitalist::Controller::Fragment::Repository=HASH(0x5c2a298)',
'Gitalist=HASH(0x6dc2870)') called at /usr/share/perl5/Catalyst.pm line
1668 eval {...} called at /usr/share/perl5/Catalyst.pm line 1668
Catalyst::execute('Gitalist=HASH(0x6dc2870)',
'Gitalist::Controller::Fragment::Repository',
'Catalyst::Action=HASH(0x644db98)') called
at /usr/share/perl5/Catalyst/Plugin/StackTrace.pm line 22
Catalyst::Plugin::StackTrace::execute('Gitalist=HASH(0x6dc2870)',
'Gitalist::Controller::Fragment::Repository',
'Catalyst::Action=HASH(0x644db98)') called
at /usr/share/perl5/Catalyst/Action.pm line 60
Catalyst::Action::dispatch('Catalyst::Action=HASH(0x644db98)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 257
Catalyst::Dispatcher::_do_forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'forward', 'Gitalist=HASH(0x6dc2870)',
'/fragment/repository/_DISPATCH') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 237
Catalyst::Dispatcher::forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'Gitalist=HASH(0x6dc2870)', '/fragment/repository/_DISPATCH') called
at /usr/share/perl5/Catalyst.pm line 358
Catalyst::forward('Gitalist=HASH(0x6dc2870)',
'/fragment/repository/_DISPATCH') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 105
Catalyst::Dispatcher::dispatch('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'Gitalist=HASH(0x6dc2870)') called at /usr/share/perl5/Catalyst.pm line
1614 Catalyst::dispatch('Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Plugin/Static/Simple.pm line 77
Class::MOP::Class:::around('CODE(0x4c3d160)',
'Gitalist=HASH(0x6dc2870)') called
at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 162
Class::MOP::Method::Wrapped::__ANON__('Gitalist=HASH(0x6dc2870)')
called at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 91
Gitalist::dispatch('Gitalist=HASH(0x6dc2870)') called
at /usr/share/perl5/Catalyst/Plugin/SubRequest.pm line 101
Catalyst::Plugin::SubRequest::sub_request_response('Gitalist=HASH(0x6b4ecd0)',
'/fragment/bare.git/shortlog', 'HASH(0x6b13800)', 'HASH(0x6db8538)')
called at /usr/share/perl5/Catalyst/Plugin/SubRequest.pm line 81
Catalyst::Plugin::SubRequest::sub_request('Gitalist=HASH(0x6b4ecd0)',
'/fragment/bare.git/shortlog', 'HASH(0x6b13800)', 'HASH(0x6db8538)')
called
at /usr/share/perl5/Catalyst/View/Component/SubInclude/SubRequest.pm
line 93
Catalyst::View::Component::SubInclude::SubRequest::generate_subinclude('Catalyst::View::Component::SubInclude::SubRequest=HASH(0x5bea...',
'Gitalist=HASH(0x6b4ecd0)', '/fragment/repository/shortlog',
'ARRAY(0x6dcc298)') called
at /usr/share/perl5/Catalyst/View/Component/SubInclude.pm line 155
Catalyst::View::Component::SubInclude::_subinclude_using('Gitalist::View::Default=HASH(0x5bac2c8)',
'Gitalist=HASH(0x6b4ecd0)',
'Catalyst::View::Component::SubInclude::SubRequest',
'/fragment/repository/shortlog', 'ARRAY(0x6dcc298)') called
at /usr/share/perl5/Catalyst/View/Component/SubInclude.pm line 149
Catalyst::View::Component::SubInclude::_subinclude('Gitalist::View::Default=HASH(0x5bac2c8)',
'Gitalist=HASH(0x6b4ecd0)', '/fragment/repository/shortlog',
'ARRAY(0x6dcc298)') called
at /usr/share/perl5/Catalyst/View/Component/SubInclude.pm line 136
Catalyst::View::Component::SubInclude::__ANON__('Gitalist=HASH(0x6b4ecd0)',
'/fragment/repository/shortlog', 'ARRAY(0x6dcc298)') called
at /usr/share/perl5/Catalyst/Component/ContextClosure.pm line 10
Catalyst::Component::ContextClosure::__ANON__('/fragment/repository/shortlog',
'ARRAY(0x6dcc298)') called
at /home/jonas/debian-work/gitalist/Gitalist-0.003009/root/repository/summary.tt2
line 6 eval {...} called
at /home/jonas/debian-work/gitalist/Gitalist-0.003009/root/repository/summary.tt2
line 6 eval {...} called
at /home/jonas/debian-work/gitalist/Gitalist-0.003009/root/repository/summary.tt2
line 7
Template::Document::__ANON__('Template::Context=HASH(0x5bb2b78)')
called at /usr/lib/perl5/Template/Document.pm line 163 eval {...}
called at /usr/lib/perl5/Template/Document.pm line 161
Template::Document::process('Template::Document=HASH(0x6b32cb8)',
'Template::Context=HASH(0x5bb2b78)') called
at /usr/lib/perl5/Template/Context.pm line 347 eval {...} called
at /usr/lib/perl5/Template/Context.pm line 321
Template::Context::process('Template::Context=HASH(0x5bb2b78)',
'Template::Document=HASH(0x6b32cb8)') called
at /usr/lib/perl5/Template/Service.pm line 94 eval {...} called
at /usr/lib/perl5/Template/Service.pm line 91
Template::Service::process('Template::Service=HASH(0x5baf5e0)',
'repository/summary.tt2', 'HASH(0x6b395f8)') called
at /usr/lib/perl5/Template.pm line 66
Template::process('Template=HASH(0x5bac508)', 'repository/summary.tt2',
'HASH(0x6b395f8)', 'SCALAR(0x5567b50)') called
at /usr/share/perl5/Catalyst/View/TT.pm line 263
Catalyst::View::TT::render('Gitalist::View::Default=HASH(0x5bac2c8)',
'Gitalist=HASH(0x6b4ecd0)', 'repository/summary.tt2') called
at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 50
Class::MOP::Method::Wrapped::__ANON__('Gitalist::View::Default=HASH(0x5bac2c8)',
'Gitalist=HASH(0x6b4ecd0)', 'repository/summary.tt2') called
at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 91
Gitalist::View::Default::render('Gitalist::View::Default=HASH(0x5bac2c8)',
'Gitalist=HASH(0x6b4ecd0)', 'repository/summary.tt2') called
at /usr/share/perl5/Catalyst/View/TT.pm line 223 eval {...} called
at /usr/share/perl5/Catalyst/View/TT.pm line 223
Catalyst::View::TT::process('Gitalist::View::Default=HASH(0x5bac2c8)',
'Gitalist=HASH(0x6b4ecd0)', 'rest') called
at /usr/share/perl5/Catalyst/Action/Serialize/View.pm line 29
Catalyst::Action::Serialize::View::execute('Catalyst::Action::Serialize::View=HASH(0x6dd7028)',
'Gitalist::Controller::Root=HASH(0x5bf6178)',
'Gitalist=HASH(0x6b4ecd0)', 'Default') called
at /usr/share/perl5/Catalyst/Action/Serialize.pm line 50 eval {...}
called at /usr/share/perl5/Catalyst/Action/Serialize.pm line 49
Catalyst::Action::Serialize::execute('Catalyst::Action::Serialize=HASH(0x65729f8)',
'Gitalist::Controller::Root=HASH(0x5bf6178)',
'Gitalist=HASH(0x6b4ecd0)') called at /usr/share/perl5/Catalyst.pm line
1668 eval {...} called at /usr/share/perl5/Catalyst.pm line 1668
Catalyst::execute('Gitalist=HASH(0x6b4ecd0)',
'Gitalist::Controller::Root',
'Catalyst::Action::Serialize=HASH(0x65729f8)') called
at /usr/share/perl5/Catalyst/Plugin/StackTrace.pm line 22
Catalyst::Plugin::StackTrace::execute('Gitalist=HASH(0x6b4ecd0)',
'Gitalist::Controller::Root',
'Catalyst::Action::Serialize=HASH(0x65729f8)') called
at /usr/share/perl5/Catalyst/Action.pm line 60
Catalyst::Action::dispatch('Catalyst::Action::Serialize=HASH(0x65729f8)',
'Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst/Controller.pm line 171
Catalyst::Controller::_END('Gitalist::Controller::Repository=HASH(0x5c00100)',
'Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst/Action.pm line 65
Catalyst::Action::execute('Catalyst::Action=HASH(0x644e0d8)',
'Gitalist::Controller::Repository=HASH(0x5c00100)',
'Gitalist=HASH(0x6b4ecd0)') called at /usr/share/perl5/Catalyst.pm line
1668 eval {...} called at /usr/share/perl5/Catalyst.pm line 1668
Catalyst::execute('Gitalist=HASH(0x6b4ecd0)',
'Gitalist::Controller::Repository', 'Catalyst::Action=HASH(0x644e0d8)')
called at /usr/share/perl5/Catalyst/Plugin/StackTrace.pm line 22
Catalyst::Plugin::StackTrace::execute('Gitalist=HASH(0x6b4ecd0)',
'Gitalist::Controller::Repository', 'Catalyst::Action=HASH(0x644e0d8)')
called at /usr/share/perl5/Catalyst/Action.pm line 60
Catalyst::Action::dispatch('Catalyst::Action=HASH(0x644e0d8)',
'Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 257
Catalyst::Dispatcher::_do_forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'forward', 'Gitalist=HASH(0x6b4ecd0)', '_END') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 237
Catalyst::Dispatcher::forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'Gitalist=HASH(0x6b4ecd0)', '_END') called
at /usr/share/perl5/Catalyst.pm line 358
Catalyst::forward('Gitalist=HASH(0x6b4ecd0)', '_END') called
at /usr/share/perl5/Catalyst/Controller.pm line 135
Catalyst::Controller::_DISPATCH('Gitalist::Controller::Repository=HASH(0x5c00100)',
'Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst/Action.pm line 65
Catalyst::Action::execute('Catalyst::Action=HASH(0x644dad8)',
'Gitalist::Controller::Repository=HASH(0x5c00100)',
'Gitalist=HASH(0x6b4ecd0)') called at /usr/share/perl5/Catalyst.pm line
1668 eval {...} called at /usr/share/perl5/Catalyst.pm line 1668
Catalyst::execute('Gitalist=HASH(0x6b4ecd0)',
'Gitalist::Controller::Repository', 'Catalyst::Action=HASH(0x644dad8)')
called at /usr/share/perl5/Catalyst/Plugin/StackTrace.pm line 22
Catalyst::Plugin::StackTrace::execute('Gitalist=HASH(0x6b4ecd0)',
'Gitalist::Controller::Repository', 'Catalyst::Action=HASH(0x644dad8)')
called at /usr/share/perl5/Catalyst/Action.pm line 60
Catalyst::Action::dispatch('Catalyst::Action=HASH(0x644dad8)',
'Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 257
Catalyst::Dispatcher::_do_forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'forward', 'Gitalist=HASH(0x6b4ecd0)', '/repository/_DISPATCH') called
at /usr/share/perl5/Catalyst/Dispatcher.pm line 237
Catalyst::Dispatcher::forward('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'Gitalist=HASH(0x6b4ecd0)', '/repository/_DISPATCH') called
at /usr/share/perl5/Catalyst.pm line 358
Catalyst::forward('Gitalist=HASH(0x6b4ecd0)', '/repository/_DISPATCH')
called at /usr/share/perl5/Catalyst/Dispatcher.pm line 105
Catalyst::Dispatcher::dispatch('Catalyst::Dispatcher=HASH(0x4c0a5e8)',
'Gitalist=HASH(0x6b4ecd0)') called at /usr/share/perl5/Catalyst.pm line
1614 Catalyst::dispatch('Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst/Plugin/Static/Simple.pm line 77
Class::MOP::Class:::around('CODE(0x4c3d160)',
'Gitalist=HASH(0x6b4ecd0)') called
at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 162
Class::MOP::Method::Wrapped::__ANON__('Gitalist=HASH(0x6b4ecd0)')
called at /usr/lib/perl5/Class/MOP/Method/Wrapped.pm line 91
Gitalist::dispatch('Gitalist=HASH(0x6b4ecd0)') called
at /usr/share/perl5/Catalyst.pm line 1964 Catalyst::__ANON__() called
at /usr/share/perl5/Try/Tiny.pm line 76 eval {...} called
at /usr/share/perl5/Try/Tiny.pm line 67
Try::Tiny::try('CODE(0x6b81d58)', 'Try::Tiny::Catch=REF(0x6b81ed8)')
called at /usr/share/perl5/Catalyst.pm line 1970
Catalyst::handle_request('Gitalist', 'env', 'HASH(0x6bd1fe8)',
'response_cb', 'CODE(0x6b4ee98)') called
at /usr/share/perl5/Catalyst/Engine.pm line 685
Catalyst::Engine::__ANON__('CODE(0x6b4ee98)') called
at /usr/share/perl5/HTTP/Message/PSGI.pm line 98
HTTP::Message::PSGI::res_from_psgi('CODE(0x6b4edc0)') called
at /usr/share/perl5/HTTP/Message/PSGI.pm line 153
HTTP::Response::from_psgi('HTTP::Response', 'CODE(0x6b4edc0)') called
at /usr/share/perl5/Plack/Test/MockHTTP.pm line 24
Plack::Test::MockHTTP::__ANON__() called
at /usr/share/perl5/Try/Tiny.pm line 71 eval {...} called
at /usr/share/perl5/Try/Tiny.pm line 67
Try::Tiny::try('CODE(0x6a34d48)', 'Try::Tiny::Catch=REF(0x66cd548)')
called at /usr/share/perl5/Plack/Test/MockHTTP.pm line 27
Plack::Test::MockHTTP::__ANON__('HTTP::Request=HASH(0x6b4f3d8)') called
at /usr/share/perl5/Catalyst/Test.pm line 280
Catalyst::Test::__ANON__('CODE(0x6a34b08)') called
at /usr/share/perl5/Plack/Test/MockHTTP.pm line 33
Plack::Test::MockHTTP::test_psgi('app', 'CODE(0x6a27b78)',
'mangle_response', 'CODE(0x24bf838)', 'app', 'CODE(0x6a35048)',
'client', 'CODE(0x6a34fe8)') called at /usr/share/perl5/Plack/Test.pm
line 17 Plack::Test::test_psgi('app', 'CODE(0x6a27b78)',
'mangle_response', 'CODE(0x24bf838)', 'app', 'CODE(0x6a35048)',
'client', 'CODE(0x6a34fe8)') called
at /usr/share/perl5/Catalyst/Test.pm line 283
Catalyst::Test::_request('HASH(0x6a27f98)', '/bare.git') called
at /usr/share/perl5/Catalyst/Test.pm line 324
Catalyst::Test::_local_request('Gitalist', '/bare.git') called
at /usr/share/perl5/Catalyst/Test.pm line 31
Catalyst::Test::__ANON__('/bare.git') called at t/01app.t line 18"
t/01app.t ................................................... 35/?
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length
t/01app.t ................................................... ok
t/02git_CollectionOfRepositories_FromDirectory.t ............ ok
t/02git_CollectionOfRepositories_FromDirectory_WhiteList.t .. ok
t/02git_CollectionOfRepositories_FromDirectoryRecursive.t ... ok
t/02git_head.t .............................................. ok
t/02git_object.t ............................................ 1/? #
Failed test 'commit_obj->get_patch can return a patch' #   at
t/02git_object.t line 172. Got instead: From
3f7567c7bdf7e7ebf410926493b92d398333116e Mon Sep 17 00:00:00 2001 From:
Florian Ragwitz <rafl@debian.org> Date: Tue, 6 Mar 2007 20:39:45 +0100
Subject: [PATCH] bar

---
 file1 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/file1 b/file1
index 257cc56..5716ca5 100644
--- a/file1
+++ b/file1
@@ -1 +1 @@
-foo
+bar
-- 
1.7.10.4

# Looks like you failed 1 test of 38.
t/02git_object.t ............................................ Dubious,
test returned 1 (wstat 256, 0x100) Failed 1/38 subtests 
t/02git_Repository.t ........................................ ok    
t/02git_tag.t ............................................... ok    
t/02git_util.t .............................................. ok   
t/03legacy_uri.t ............................................ 201/?
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length
t/03legacy_uri.t ............................................ 213/?
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length [warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length [warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
t/03legacy_uri.t ............................................ 232/?
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length [warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
t/03legacy_uri.t ............................................ 263/?
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length [warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
t/03legacy_uri.t ............................................ 277/?
[warn] Serving filehandle without a content-length [warn] Serving
filehandle without a content-length [warn] Serving filehandle without a
content-length [warn] Serving filehandle without a content-length
[warn] Serving filehandle without a content-length
t/03legacy_uri.t ............................................ ok     
t/app-mech-rootpage.t ....................................... skipped:
One or more of the following modules aren't present:
Test::WWW::Mechanize::Catalyst WWW::Mechanize::TreeBuilder
HTML::TreeBuilder::XPath
t/atom.t .................................................... ok
t/json_view.t ............................................... ok
t/model_collectionofrepos.t ................................. ok
t/opml.t .................................................... ok
t/rss.t ..................................................... ok
t/view_Default.t ............................................ ok   

Test Summary Report
-------------------
t/02git_object.t                                          (Wstat: 256
Tests: 38 Failed: 1) Failed test:  36
  Non-zero exit status: 1
Files=18, Tests=677, 80 wallclock secs ( 0.20 usr  0.03 sys + 56.71
cusr 17.93 csys = 74.87 CPU) Result: FAIL
Failed 1/18 test programs. 1/677 subtests failed.
make: *** [test_dynamic] Error 255



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#681435; Package src:gitalist. (Mon, 23 Jul 2012 10:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. (Mon, 23 Jul 2012 10:42:05 GMT) Full text and rfc822 format available.

Message #15 received at 681435@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 681435@bugs.debian.org
Subject: Re: Bug#681435: src:gitalist: not compatible with Catalyst >= 5.90013
Date: Mon, 23 Jul 2012 12:40:09 +0200
Hi,

Jonas Genannt wrote (23 Jul 2012 07:54:38 GMT) :
> I have tested the newest Gitalist Version against 5.90014-1 and
> 5.90015-1.

> Both are failing with Gitalist because of use of
> Catalyst::Controller::ActionRole.

> After that test, I have patched the Gitalist source with the patch
> from
> https://github.com/bobtfish/Gitalist/commit/3620aa21666f20c634edcf3a6ec6f16580bbda1f
> but make test is also failing (with 5.90014 and 5.90015). See error
> output below.

> So that to do with Gitalist in Debian?

Hopefully things will change in the future,
but IMHO a package that:

  1. has been FTBFS'ing (tests failed) since late march (was any
     action taken, that the #665223 bug log does not show, apart of
     replying "I will contact upstream"?)
  2. has not been updated upstream since March to be compatible with
     the latest version of its most important dependency, despite many 

... does not look like it's suitable for a Debian stable release.

I suggest requesting this package to be removed from testing for the
time being, and heading towards upstream to have things fixed there,
so hopefully we have Gitalist back into testing soon after Wheezy,
so that we can have it in wheezy-backports soon :)



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#681435; Package src:gitalist. (Mon, 23 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. (Mon, 23 Jul 2012 10:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 681435@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: intrigeri <intrigeri@debian.org>
Cc: 681435@bugs.debian.org
Subject: Re: Bug#681435: src:gitalist: not compatible with Catalyst >= 5.90013
Date: Mon, 23 Jul 2012 12:49:14 +0200
Hello,


> Hopefully things will change in the future,
> but IMHO a package that:
> 
>   1. has been FTBFS'ing (tests failed) since late march (was any
>      action taken, that the #665223 bug log does not show, apart of
>      replying "I will contact upstream"?)

I have sent upstream Daniel Brooks a Mail on: 10 Jun 2012 but no
response. :(

I will try to contact the other upstream dev, if there is no response I
will request of removing Gitalist from Wheezy.

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#681435; Package src:gitalist. (Mon, 23 Jul 2012 11:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. (Mon, 23 Jul 2012 11:00:07 GMT) Full text and rfc822 format available.

Message #25 received at 681435@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 681435@bugs.debian.org
Subject: Re: Bug#681435: src:gitalist: not compatible with Catalyst >= 5.90013
Date: Mon, 23 Jul 2012 12:58:05 +0200
Jonas Genannt wrote (23 Jul 2012 10:49:14 GMT) :
>>   1. has been FTBFS'ing (tests failed) since late march (was any
>>      action taken, that the #665223 bug log does not show, apart of
>>      replying "I will contact upstream"?)

> I have sent upstream Daniel Brooks a Mail on: 10 Jun 2012 but no
> response. :(

> I will try to contact the other upstream dev, if there is no
> response I will request of removing Gitalist from Wheezy.

How about submitting the bug to the CPAN RT, so that information about
it is shared with the general public?

Cheers,
-- 
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#681435; Package src:gitalist. (Mon, 23 Jul 2012 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. (Mon, 23 Jul 2012 11:03:05 GMT) Full text and rfc822 format available.

Message #30 received at 681435@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: intrigeri <intrigeri@debian.org>
Cc: 681435@bugs.debian.org
Subject: Re: Bug#681435: src:gitalist: not compatible with Catalyst >= 5.90013
Date: Mon, 23 Jul 2012 12:59:38 +0200
> > I will try to contact the other upstream dev, if there is no
> > response I will request of removing Gitalist from Wheezy.
> 
> How about submitting the bug to the CPAN RT, so that information about
> it is shared with the general public?


I will submit one.

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#681435; Package src:gitalist. (Sat, 04 Aug 2012 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. (Sat, 04 Aug 2012 15:21:06 GMT) Full text and rfc822 format available.

Message #35 received at 681435@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: debian-perl@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 681435@bugs.debian.org
Subject: Re: Plans for Catalyst in Wheezy
Date: Sat, 04 Aug 2012 17:16:32 +0200
Hi,

I'm back and wanting to get this sorted out (or postponed for
Jessie) ASAP.

intrigeri wrote (21 Jul 2012 13:56:02 GMT) :
>> 4. ask freeze exceptions for libcatalyst-perl 5.90015-1 and the
>>    modules the new version breaks [intrigeri]

> Please review and comment my email draft to the release team:
> http://paste.debian.net/180093/. debdiffs are attached.

I'd like to be sure that at least 2 other group members have reviewed
it and agree, before sending this (complex) request to the
release team.

> The discussion about Gitalist should reach a conclusion before we
> send this email, though.

Apparently there was no improvement there, so according to where we
left the discussion at two weeks ago, Jonas Genannt should request the
removal of Gitalist from Wheezy, correct?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681435#15
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=681435#20



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#681435; Package src:gitalist. (Sat, 04 Aug 2012 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. (Sat, 04 Aug 2012 23:36:03 GMT) Full text and rfc822 format available.

Message #40 received at 681435@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: debian-perl@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>, 681435@bugs.debian.org
Subject: Re: Plans for Catalyst in Wheezy
Date: Sun, 5 Aug 2012 01:33:38 +0200
[Message part 1 (text/plain, inline)]
On Sat, 04 Aug 2012 17:16:32 +0200, intrigeri wrote:

[just the gitalist part for the bug report]
 
> > The discussion about Gitalist should reach a conclusion before we
> > send this email, though.
> Apparently there was no improvement there, so according to where we
> left the discussion at two weeks ago, Jonas Genannt should request the
> removal of Gitalist from Wheezy, correct?

Yup.
 
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Van Morrison: someone like you
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#681435; Package src:gitalist. (Sun, 05 Aug 2012 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. (Sun, 05 Aug 2012 20:06:06 GMT) Full text and rfc822 format available.

Message #45 received at 681435@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: gregor herrmann <gregoa@debian.org>, 681435@bugs.debian.org
Cc: intrigeri <intrigeri@debian.org>, debian-perl@lists.debian.org
Subject: Re: Bug#681435: Plans for Catalyst in Wheezy
Date: Sun, 5 Aug 2012 22:03:16 +0200
[Message part 1 (text/plain, inline)]
Hello,

> [just the gitalist part for the bug report]
>  
> > > The discussion about Gitalist should reach a conclusion before we
> > > send this email, though.
> > Apparently there was no improvement there, so according to where we
> > left the discussion at two weeks ago, Jonas Genannt should request
> > the removal of Gitalist from Wheezy, correct?
> 
> Yup.

done. (#683964)

Greets,
	Jonas
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#681435; Package src:gitalist. (Mon, 06 Aug 2012 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. (Mon, 06 Aug 2012 09:12:03 GMT) Full text and rfc822 format available.

Message #50 received at 681435@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: intrigeri <intrigeri@debian.org>
Cc: 681435@bugs.debian.org
Subject: Re: Plans for Catalyst in Wheezy
Date: Mon, 6 Aug 2012 11:09:27 +0200
Hello,

> Apparently there was no improvement there, so according to where we
> left the discussion at two weeks ago, Jonas Genannt should request the
> removal of Gitalist from Wheezy, correct?

Gitalist was removed by Adam D. Barratt. (#683964)

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#681435; Package src:gitalist. (Mon, 06 Aug 2012 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonas Genannt <jonas.genannt@capi2name.de>. (Mon, 06 Aug 2012 12:48:03 GMT) Full text and rfc822 format available.

Message #55 received at 681435@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 681435@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Plans for Catalyst in Wheezy
Date: Mon, 06 Aug 2012 14:44:52 +0200
Jonas Genannt wrote (06 Aug 2012 09:09:27 GMT) :
> Gitalist was removed by Adam D. Barratt. (#683964)

Thanks a lot, Jonas, for helping us sanitizing this situation.
Sorry this lead to not shipping Gitalist in Wheezy,
I do hope we get it in wheezy-backports soon!



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 17:15:34 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@debian.org:
Bug acknowledged by developer. (Mon, 02 Sep 2013 17:15:34 GMT) Full text and rfc822 format available.

Message #60 received at 681435-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 637545-done@bugs.debian.org,637553-done@bugs.debian.org,659475-done@bugs.debian.org,673628-done@bugs.debian.org,675683-done@bugs.debian.org,679694-done@bugs.debian.org,681435-done@bugs.debian.org,682845-done@bugs.debian.org,719447-done@bugs.debian.org,
Cc: gitalist@packages.debian.org, gitalist@packages.qa.debian.org
Subject: Bug#665223: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 17:12:10 +0000
Version: 0.003006+dfsg-2+rm

Dear submitter,

as the package gitalist has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/665223

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:36:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:00:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.